package param

type SaveServer struct {
	Id             string `json:"id" form:"id" binding:"omitempty"`                // id
	IpScope        string `json:"ipScope" form:"ipScope" binding:"required"`       // 内网ip范围段
	ListenPort     int    `json:"listenPort" form:"listenPort" binding:"required"` // 监听端口
	PrivateKey     string `json:"privateKey" form:"privateKey"`                    // 私钥
	PublicKey      string `json:"publicKey" form:"publicKey"`                      // 密钥
	PostUpScript   string `json:"postUpScript" form:"postUpScript" binding:"omitempty"`
	PreDownScript  string `json:"preDownScript" form:"preDownScript" binding:"omitempty"`
	PostDownScript string `json:"postDownScript" form:"postDownScript" binding:"omitempty"`
}
